A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"name": "<string>",
"validity_hours": {
"daily": [
{
"days_of_week": [
3
],
"start_time": "09:00",
"end_time": "17:00"
}
]
},
"refunds": {},
"costs": [
{
"id": "<string>",
"rules": {
"logic": "<string>"
},
"spending": [
{
"points": 123,
"card_definition_id": "<string>"
}
]
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"material": {
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 123
},
"loyalty_card_points": {
"points": 123,
"card_definition_id": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}List loyalty rewards
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of rewards. Results can be filtered by id, name, type and created_at, and ordered by created_at or name (ascending or descending). The same field cannot be ordered both ascending and descending at the same time.
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"name": "<string>",
"validity_hours": {
"daily": [
{
"days_of_week": [
3
],
"start_time": "09:00",
"end_time": "17:00"
}
]
},
"refunds": {},
"costs": [
{
"id": "<string>",
"rules": {
"logic": "<string>"
},
"spending": [
{
"points": 123,
"card_definition_id": "<string>"
}
]
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"material": {
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 123
},
"loyalty_card_points": {
"points": 123,
"card_definition_id": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of rewards to return. Must be between 1 and 100. Defaults to 10 when not provided.
1 <= x <= 100Field(s) to order results by. Prefix with - for descending order.
Accepts a single value or an array of values. Defaults to -created_at.
The same field cannot be used in both ascending and descending order at once.
-created_at, created_at, name, -name Pagination cursor returned in the cursor.next field of a previous response.
Must match the pattern ^lcrsrew_[a-f0-9]+$.
^lcrsrew_[a-f0-9]+$Field-specific filter conditions, passed as a deep object, e.g.
filters[name][conditions][$contains]=gift. See the RewardListFilters
schema for available fields and conditions.
Filters for the rewards list. Each field accepts an object with a required
conditions property. Conditions that are not supported for a given field type
are rejected.
Show child attributes
Show child attributes
Response
Cursor-paginated list of rewards.
Was this page helpful?

